#include "xboneinfo.h"

XBoneInfo::XBoneInfo()
    : XAsset()
    , mBounds(3)
    , mOffset()
    , mRadiusSquared(0)
{
    
}

XBoneInfo::~XBoneInfo()
{
    
}

void XBoneInfo::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        *aStream
            >> mBounds[0][0]
            >> mBounds[0][1]
            >> mBounds[0][2]
            >> mBounds[1][0]
            >> mBounds[1][1]
            >> mBounds[1][2]
            >> mOffset[0]
            >> mOffset[1]
            >> mOffset[2]
            >> mRadiusSquared;
    }
}

void XBoneInfo::Clear()
{
    mBounds.clear();
    mOffset = QVector3D();
    mRadiusSquared = 0;
}
